LoginResponse
Defined in: src/@types/auth.ts:200
Response body for POST /login request
https://spec.matrix.org/v1.7/client-server-api/#post_matrixclientv3login
Properties
Section titled “Properties”access_token
Section titled “access_token”access_token:
string
Defined in: src/@types/auth.ts:205
An access token for the account. This access token can then be used to authorize other requests.
device_id
Section titled “device_id”device_id:
string
Defined in: src/@types/auth.ts:210
ID of the logged-in device. Will be the same as the corresponding parameter in the request, if one was specified.
expires_in_ms?
Section titled “expires_in_ms?”
optionalexpires_in_ms?:number
Defined in: src/@types/auth.ts:221
The lifetime of the access token, in milliseconds. Once the access token has expired a new access token can be obtained by using the provided refresh token. If no refresh token is provided, the client will need to re-log in to obtain a new access token. If not given, the client can assume that the access token will not expire.
home_server?
Section titled “home_server?”
optionalhome_server?:string
Defined in: src/@types/auth.ts:237
The server_name of the hub on which the account has been registered.
refresh_token?
Section titled “refresh_token?”
optionalrefresh_token?:string
Defined in: src/@types/auth.ts:226
A refresh token for the account. This token can be used to obtain a new access token when it expires by calling the /refresh endpoint.
user_id
Section titled “user_id”user_id:
string
Defined in: src/@types/auth.ts:214
The fully-qualified Digital World ID for the account.
well_known?
Section titled “well_known?”
optionalwell_known?:IClientWellKnown
Defined in: src/@types/auth.ts:232
Optional client configuration provided by the server. If present, clients SHOULD use the provided object to reconfigure themselves, optionally validating the URLs within. This object takes the same form as the one returned from .well-known autodiscovery.